Subject: Re: [PATCH] arc_emac: write initial MAC address from devicetree to hw

From: Vineet Gupta <[email-masked]>
Date: Thu, 1 May 2014 10:28:33 +0530

On Friday 18 April 2014 05:47 AM, Max Schwarz wrote:
> I recently noticed this problem on the Radxa Rock board. I'm not
> sure how this has ever worked on other platforms, though. I can
> only receive broadcast packets without configuring the address.
> 
> Running ifconfig eth0 hw ether XYZ or applying the patch fixes
> the problem for me.

Our rcS script would always do a ifconfig hw, hence we didn't run into this. We
have used this driver in one of our FPGA boards for several years.

-Vineet